import QtQuick 2.0

/**
 * This is quick and dirty model for the keys of the InputPanel *
 * The code has been copied from
 * http://tolszak-dev.blogspot.de/2013/04/qplatforminputcontext-and-virtual.html
 */


/********************************************************
                English Keyboard Layout
 ********************************************************/


Item {
    property QtObject firstRowModel: first
    property QtObject secondRowModel: second
    property QtObject thirdRowModel: third
    property QtObject numbersRowModel: numbers

    ListModel {
        id:numbers
        ListElement { letter: "1"; firstSymbol: "1"}
        ListElement { letter: "2"; firstSymbol: "2"}
        ListElement { letter: "3"; firstSymbol: "3"}
        ListElement { letter: "4"; firstSymbol: "4"}
        ListElement { letter: "5"; firstSymbol: "5"}
        ListElement { letter: "6"; firstSymbol: "6"}
        ListElement { letter: "7"; firstSymbol: "7"}
        ListElement { letter: "8"; firstSymbol: "8"}
        ListElement { letter: "9"; firstSymbol: "9"}
        ListElement { letter: "0"; firstSymbol: "0"}
        ListElement { letter: "@"; firstSymbol: "@"}
        // ListElement { letter: "="; firstSymbol: "+"}
    }

    ListModel {
        id:first
        ListElement { letter: "q"; firstSymbol: "!"}
        ListElement { letter: "w"; firstSymbol: "°"}
        ListElement { letter: "e"; firstSymbol: "#"}
        ListElement { letter: "r"; firstSymbol: "$"}
        ListElement { letter: "t"; firstSymbol: "%"}
        ListElement { letter: "y"; firstSymbol: "^"}
        ListElement { letter: "u"; firstSymbol: "&"}
        ListElement { letter: "i"; firstSymbol: "+"}
        ListElement { letter: "o"; firstSymbol: "-"}
        ListElement { letter: "p"; firstSymbol: "*"}
        ListElement { letter: "("; firstSymbol: "/"}
        ListElement { letter: ")"; firstSymbol: "="}
    }
    ListModel {
        id:second
        ListElement { letter: "a"; firstSymbol: "{"}
        ListElement { letter: "s"; firstSymbol: "}"}
        ListElement { letter: "d"; firstSymbol: "["}
        ListElement { letter: "f"; firstSymbol: "]"}
        ListElement { letter: "g"; firstSymbol: "("}
        ListElement { letter: "h"; firstSymbol: ")"}
        ListElement { letter: "j"; firstSymbol: ":"}
        ListElement { letter: "k"; firstSymbol: "\""}
        ListElement { letter: "l"; firstSymbol: "'"}
        ListElement { letter: "'"; firstSymbol: "|"}
        ListElement { letter: "/"; firstSymbol: "\\"}
    }
    ListModel {
        id:third
        ListElement { letter: "z"; firstSymbol: "<"}
        ListElement { letter: "x"; firstSymbol: ">"}
        ListElement { letter: "c"; firstSymbol: "€"}
        ListElement { letter: "v"; firstSymbol: "µ"}
        ListElement { letter: "b"; firstSymbol: "?"}
        ListElement { letter: "n"; firstSymbol: ".com"}
        ListElement { letter: "m"; firstSymbol: ";"}
        ListElement { letter: ","; firstSymbol: ","}
        ListElement { letter: "."; firstSymbol: "."}
    }
}



/********************************************************
                German Keyboard Layout
 ********************************************************/
/*

Item {
    property QtObject firstRowModel: first
    property QtObject secondRowModel: second
    property QtObject thirdRowModel: third
    property QtObject numbersRowModel: numbers

    ListModel {
        id:numbers
        ListElement { letter: "1"; firstSymbol: "1"}
        ListElement { letter: "2"; firstSymbol: "2"}
        ListElement { letter: "3"; firstSymbol: "3"}
        ListElement { letter: "4"; firstSymbol: "4"}
        ListElement { letter: "5"; firstSymbol: "5"}
        ListElement { letter: "6"; firstSymbol: "6"}
        ListElement { letter: "7"; firstSymbol: "7"}
        ListElement { letter: "8"; firstSymbol: "8"}
        ListElement { letter: "9"; firstSymbol: "9"}
        ListElement { letter: "0"; firstSymbol: "0"}
        ListElement { letter: "ß"; firstSymbol: "@"}
        // ListElement { letter: "="; firstSymbol: "+"}
    }

    ListModel {
        id:first
        ListElement { letter: "q"; firstSymbol: "!"}
        ListElement { letter: "w"; firstSymbol: "°"}
        ListElement { letter: "e"; firstSymbol: "#"}
        ListElement { letter: "r"; firstSymbol: "$"}
        ListElement { letter: "t"; firstSymbol: "%"}
        ListElement { letter: "z"; firstSymbol: "^"}
        ListElement { letter: "u"; firstSymbol: "&"}
        ListElement { letter: "i"; firstSymbol: "+"}
        ListElement { letter: "o"; firstSymbol: "-"}
        ListElement { letter: "p"; firstSymbol: "*"}
        ListElement { letter: "ü"; firstSymbol: "/"}
        ListElement { letter: ""; firstSymbol: "="}
    }
    ListModel {
        id:second
        ListElement { letter: "a"; firstSymbol: "{"}
        ListElement { letter: "s"; firstSymbol: "}"}
        ListElement { letter: "d"; firstSymbol: "["}
        ListElement { letter: "f"; firstSymbol: "]"}
        ListElement { letter: "g"; firstSymbol: "("}
        ListElement { letter: "h"; firstSymbol: ")"}
        ListElement { letter: "j"; firstSymbol: ":"}
        ListElement { letter: "k"; firstSymbol: "\""}
        ListElement { letter: "l"; firstSymbol: "'"}
        ListElement { letter: "ö"; firstSymbol: "|"}
        ListElement { letter: "ä"; firstSymbol: "\\"}
    }
    ListModel {
        id:third
        ListElement { letter: "y"; firstSymbol: "<"}
        ListElement { letter: "x"; firstSymbol: ">"}
        ListElement { letter: "c"; firstSymbol: "€"}
        ListElement { letter: "v"; firstSymbol: "µ"}
        ListElement { letter: "b"; firstSymbol: "?"}
        ListElement { letter: "n"; firstSymbol: ".de"}
        ListElement { letter: "m"; firstSymbol: ";"}
        ListElement { letter: ","; firstSymbol: ","}
        ListElement { letter: "."; firstSymbol: "."}
    }
}

*/
